#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long N;
    scanf("%ld", &N);
    long* niz = (long*) malloc(sizeof(long) * N);

    long najveci = -1;
    long index;

    for(int i = 0; i < N; i++)
    {
        scanf("%ld", &niz[i]);
        if(niz[i] >= najveci)
        {
            index = i;
            najveci = niz[i];
        }
    }

    bool gotovo = false;
    for(long i = 0; i <= index; i++)
    {
        if(!gotovo)
        {
            if(niz[i] < najveci)
            {
                long temp = niz[index];
                niz[index] = niz[i];
                niz[i] = temp;
                gotovo = true;
            }
        }
        printf("%ld ", niz[i]);
    }
    for(long i = index + 1; i < N; i++)
    {
        if(!gotovo)
        {
            long temp = niz[i];
            niz[i] = niz[i + 1];
            niz[i + 1] = temp;
        }
        printf("%ld ", niz[i]);
    }
}